$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_zip = 'https://github.com/starship/starship/releases/download/v1.17.1/starship-x86_64-pc-windows-msvc.zip'
$url_i686_zip = 'https://github.com/starship/starship/releases/download/v1.17.1/starship-i686-pc-windows-msvc.zip'
$checksum_x86_64_zip = 'C3BD0A79FC219183C84CDE63C9D6A456D4DF6CA5A1A5517555F3715C1A215FC7'
$checksum_i686_zip = 'F53EDC0FFE8341FD015DD282A6338DC21E159D5ECC2A6F9FC7BD4B060B314AE2'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
    packageName   = $packageName
    fileType      = 'zip'
    url           = $url_i686_zip
    url64bit      = $url_x86_64_zip
    checksum      = $checksum_i686_zip
    checksum64    = $checksum_x86_64_zip
    checksumType  = 'sha256'
    unzipLocation = $toolsDir
}
Install-ChocolateyZipPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
